Lit Struct Reference

A literal is a variable with a sign. More...

`#include <apt-pkg/solver3.h>`

## Public Member Functions

constexpr | Lit (Var var) noexcept
constexpr Var | var () const noexcept
constexpr bool | sign () const noexcept
constexpr Lit | operator~ () const noexcept
constexpr bool | empty () const noexcept
constexpr bool | operator!= (Lit const other) const noexcept
constexpr bool | operator== (Lit const other) const noexcept
std::string | toString (pkgCache &cache) const

## Friends

struct | std::hash< Lit >

## Detailed Description

A literal is a variable with a sign.

A literal 'A' means 'install A' whereas a literal '-A' means 'do not install A'.

The documentation for this struct was generated from the following file:

- apt-pkg/solver3.h